Summary: a free ATSC A/52 stream decoder
Name: 	a52dec
Version: 	0.7.4 
Release: 	13.18
Source: 	%{name}-%{version}.tar.gz
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>
License: 	GPL
Group: Productivity/Multimedia/Other	
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
liba52 is a free library for decoding ATSC A/52 streams. 
It is released under the terms of the GPL license. 
The A/52 standard is used in a variety of applications, 
including digital television and DVD. It is also known as AC-3.
 
%prep
%setup -q

%package -n liba52-0
Summary: liba52dec - the real library
Group: Development/Libraries/C and C++

%description -n liba52-0
The liba52dec library; to be installed by dependenices normally

%package -n liba52-devel
Summary: a52dec Headers and library
Requires:       liba52-0 = %{version}
Group: Development/Libraries/C and C++

%description -n liba52-devel
Development and Header files to link against liba52

%build 
%ifarch x86_64
export CFLAGS="-fPIC"
%endif
%configure --enable-shared
make %{?jobs:-j %jobs}


%install
%makeinstall

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n liba52-0 -p /sbin/ldconfig

%postun -n liba52-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1.gz
%{_mandir}/man1/extract_a52.1.gz


%files -n liba52-0
%defattr(-,root,root)
%{_libdir}/liba52.so.*

%files -n liba52-devel
%defattr(-,root,root) 
%{_includedir}/%{name}
%{_libdir}/liba52.a
%{_libdir}/liba52.la
%{_libdir}/liba52.so

%changelog
* Wed Dec 17 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Own %{_includedir}/a52dec
* Wed Apr 30 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed the Library name to follow SONAME-Policy
* Sun Dec 3 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed group Memberships for Yast tools
- first public released package
* Wed Nov 1 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- cleaning of the .spec file
- Descriptive texts added
* Fri Oct 20 2006 Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial release 
